2017-11-19 15:21 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001428Orfeo Toolbox (OTB)Generalpublic2017-10-13 14:57
Reporterrashadkm 
Assigned Togpasero 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Summary0001428: remote or external module apps does not generate otbcli and otbgui scripts
Descriptioni had seen this when building an external app using otb.
otbapp_NEWAPP.so is generated but there is no cli and gui scripts.

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004269

gpasero (administrator)

Check if issue still present

~0004363

salguesg (reporter)

The issue is present when using an installed version of the OTB (Superbuild).
The macro "otb_create_application" defined in OTB/CMake/OTBApplicationMacros.cmake requires to find the target of the variables ${SCRIPT_CLI_SOURCE} and ${SCRIPT_GUII_SOURCE}, in order to generate the otbcli and otbgui scripts of the declared application.
However, these targets are not found because they are not installed with the OTB, they are only present in the OTB sources (at least when using SuperBuild).
These scripts must be copied in the OTB install dir to solve the issue.

~0004369

gpasero (administrator)

Fix pushed in release-6.2 :
https://git.orfeo-toolbox.org/otb.git/commit/01fbe13237cdd87185993e171c208dc0a29f0817

I will check on a remote module...

~0004373

gpasero (administrator)

Something was missing to make it work in all application cases (internal / remote / standalone)
https://git.orfeo-toolbox.org/otb.git/commit/6975c8c8b0a3195a7d01fe47300fbe94be34cc3a
+Notes

-Issue History
Date Modified Username Field Change
2017-06-09 11:23 rashadkm New Issue
2017-06-12 11:23 grizonnetm Priority normal => high
2017-08-16 17:34 rashadkm Assigned To => rashadkm
2017-08-16 17:34 rashadkm Status new => assigned
2017-09-07 17:26 gpasero Note Added: 0004269
2017-10-10 17:13 salguesg Note Added: 0004363
2017-10-10 17:17 gpasero Assigned To rashadkm => gpasero
2017-10-11 09:40 grizonnetm Priority high => urgent
2017-10-11 16:52 gpasero Note Added: 0004369
2017-10-11 16:52 gpasero Status assigned => resolved
2017-10-11 16:52 gpasero Resolution open => fixed
2017-10-13 14:57 gpasero Note Added: 0004373
+Issue History